\name{addSidebar}
\alias{addSidebar}
\title{Add code from a sidebar} 
\description{
   Add code from a sidebar to a main, tabbed shinyTex app.
}
\usage{addSidebar(dropLink, dir)}
\arguments{
  \item{dropLink}{Text from the link that should be converted to text only}
  \item{dir}{Name of the subdirectory containing the compiled sidebar files}
}
\details{
   Assumes code containing only a singlePage was run in shinyTex
   and the server, ui, and html files are stored in 'sidebar' or
   another subfolder.   Typically it is (mostly) an itemize or 
   enumerate filled with links.  After a different app based on multiple
   tabs is run in shinyTex, running addSidebar(dropLink, dir) 
   while add the sidebar into the app.  If 'dropLink' is text from
   a link, that link will be removed (but its text kept) to indicate
   in the sidebar that that is the current page. 
}
\value{
  Returns NULL invisibly.  See details for side effects.
}
\references{
 http://www.stat.cmu.edu/~hseltman/setupShinyTex
}
\author{Howard J. Seltman <hseltman@stat.cmu.edu>}

\seealso{
\link{shinyTex}
}
\keyword{sidebar}

